Greenbone Vulnerability Management Libraries: util/fileutils_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.1.2

Functions
fileutils_tests.c File Reference
`#include "fileutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <fcntl.h>`
`#include <glib.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`

## Functions
| Describe (fileutils)
| BeforeEach (fileutils)
| AfterEach (fileutils)
| Ensure (fileutils, gvm_file_exists_returns_zero_for_nonexistent_file)
| Ensure (fileutils, gvm_file_exists_returns_one_for_existing_file)
| Ensure (fileutils, gvm_file_is_executable_returns_zero_for_nonexistent_file)
| Ensure (fileutils, gvm_file_is_executable_returns_zero_for_non_executable_file)
| Ensure (fileutils, gvm_file_is_readable_returns_zero_for_nonexistent_file)
| Ensure (fileutils, gvm_file_is_readable_returns_one_for_existing_file)
| Ensure (fileutils, gvm_file_check_is_dir_returns_minus_one_for_nonexistent_path)
| Ensure (fileutils, gvm_file_check_is_dir_returns_zero_for_file)
| Ensure (fileutils, gvm_file_check_is_dir_returns_one_for_directory)
| Ensure (fileutils, gvm_file_copy_returns_true_and_copies_file)
| Ensure (fileutils, gvm_file_move_returns_true_and_moves_file)
| Ensure (fileutils, gvm_file_as_base64_returns_correct_base64_for_file)
| Ensure (fileutils, gvm_export_file_name_returns_formatted_string)
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | fileutils |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | fileutils |  | ) |

## ◆ Describe()

Describe | ( | fileutils |  | ) |

## ◆ Ensure() [1/13]

Ensure | ( | fileutils | ,
|  | gvm_export_file_name_returns_formatted_string | )

## ◆ Ensure() [2/13]

Ensure | ( | fileutils | ,
|  | gvm_file_as_base64_returns_correct_base64_for_file | )

## ◆ Ensure() [3/13]

Ensure | ( | fileutils | ,
|  | gvm_file_check_is_dir_returns_minus_one_for_nonexistent_path | )

## ◆ Ensure() [4/13]

Ensure | ( | fileutils | ,
|  | gvm_file_check_is_dir_returns_one_for_directory | )

## ◆ Ensure() [5/13]

Ensure | ( | fileutils | ,
|  | gvm_file_check_is_dir_returns_zero_for_file | )

## ◆ Ensure() [6/13]

Ensure | ( | fileutils | ,
|  | gvm_file_copy_returns_true_and_copies_file | )

## ◆ Ensure() [7/13]

Ensure | ( | fileutils | ,
|  | gvm_file_exists_returns_one_for_existing_file | )

## ◆ Ensure() [8/13]

Ensure | ( | fileutils | ,
|  | gvm_file_exists_returns_zero_for_nonexistent_file | )

## ◆ Ensure() [9/13]

Ensure | ( | fileutils | ,
|  | gvm_file_is_executable_returns_zero_for_non_executable_file | )

## ◆ Ensure() [10/13]

Ensure | ( | fileutils | ,
|  | gvm_file_is_executable_returns_zero_for_nonexistent_file | )

## ◆ Ensure() [11/13]

Ensure | ( | fileutils | ,
|  | gvm_file_is_readable_returns_one_for_existing_file | )

## ◆ Ensure() [12/13]

Ensure | ( | fileutils | ,
|  | gvm_file_is_readable_returns_zero_for_nonexistent_file | )

## ◆ Ensure() [13/13]

Ensure | ( | fileutils | ,
|  | gvm_file_move_returns_true_and_moves_file | )

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )